C     Fx compiler version 3.0
C     PROGRAM hello
C     LOCAL
C     WRITE (unit=6,fmt=*) 'Hello, world!'
C     ENDLOCAL
C     END


      PROGRAM hello
      INTEGER fxdistarg
      INTEGER fxcellid
      EXTERNAL fx_procstart
      EXTERNAL fx_init
      EXTERNAL ccom_init
      EXTERNAL MPI_INIT
      INTEGER IERROR
      COMMON /fxcommon/ fxcellid,fxdistarg

      CALL MPI_INIT(IERROR)
      CALL fx_init(fxcellid,1,0,0,0,2)
      CALL ccom_init(0)
      fxdistarg = 0
C     LOCAL
      WRITE (unit=6,fmt=*) 'Hello, world!'
C     ENDLOCAL
      END


C
C     ------------------------------------------------- 
C

